/*
Theme Name: Beuving Afbouwgroep
Theme URI: http://www.elegantthemes.com/gallery/divi/
Version: 1.0
Description: Beuving Afbouwgroep
Author: Dynadex
Author URI: https://dynadex.nl
Template: Divi
*/
@import url("../Divi/style.css");

h1,h2,h3,h4,h5,h6 {
  word-break: keep-all;
  overflow-wrap: normal;
  hyphens: none;
}

/******************************/
/********** Menu **************/
/******************************/
.et_mobile_menu {
    background: rgba(17, 17, 17, 0.85) !important;
}

/* CTA */
.bag-cta-menu {
	margin-top: -5px;
}

.bag-cta-menu a {
     color: rgba(255,255,255,0.9) !important;
	 background-color: #00aa96;
	 font-family: 'Beuving',Helvetica,Arial,Lucida,sans-serif !important;
     font-size: clamp(0.75rem, 1vw, 1rem);
	 letter-spacing: 2px;
	 padding: 28px 1em 22px 1em !important;
}

.et_mobile_menu .bag-cta-menu {
	 text-align: center;
}

.et_mobile_menu .bag-cta-menu a {
	 display: inline-block;
	 padding: 0.55em 1em !important;
}


/* Hide CTA menu */
@media (min-width: 980px) and (max-width: 1200px) {
	.bag-cta-menu {
		display: none !important;
	}
}


/******************************/
/********** CF7 ***************/
/******************************/

.wpcf7 .wpcf7-textarea,
.wpcf7 .wpcf7-text,
.wpcf7 .wpcf7-select,
.wpcf7 .wpcf7-date,
.wpcf7 .wpcf7-number {
  background-color: #efefef;
  border: none;
  border-radius: 0;
  color: #2c2a27;
  width: 100%;
  padding: 14px 20px;
  height: auto;
  line-height: 22px;
  padding: 17px 20px !important;
  font-size: clamp(0.875rem, 1vw, 1.125rem);
}

.wpcf7 .wpcf7-textarea:focus,
.wpcf7 .wpcf7-text:focus,
.wpcf7 .wpcf7-select:focus,
.wpcf7 .wpcf7-date:focus,
.wpcf7 .wpcf7-number:focus {
  color: #2c2a27;
  background-color: #efefef;
}

.wpcf7 .wpcf7-select {
  -webkit-appearance: none !important;
  -moz-appearance: none !important;
  appearance: none !important;
  background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'><path d='M267.3 395.3c-6.2 6.2-16.4 6.2-22.6 0l-192-192c-6.2-6.2-6.2-16.4 0-22.6s16.4-6.2 22.6 0L256 361.4 436.7 180.7c6.2-6.2 16.4-6.2 22.6 0s6.2 16.4 0 22.6l-192 192z'/></svg>");
  background-repeat: no-repeat;
  background-position-x: 97%;
  background-position-y: 15px;
  background-size: 20px;
}

/* Accept privacy */
.wpcf7-acceptance .wpcf7-list-item {
  margin: 0 0 1rem 0;
}

.wpcf7 form .wpcf7-response-output {
	margin: 0;
}

/******************************/
/********** Cursor ************/
/******************************/
.wpcf7-acceptance .wpcf7-list-item-label,
.wpcf7 .wpcf7-select,
.wpcf7-date,
.wpcf7-submit {
  cursor: pointer;
}

/******************************/
/********** Checkbox **********/
/******************************/
.wpcf7 input[type=checkbox] {
	accent-color: #1a1a1a;
	height: 25px;
	width: 25px;
	background-color: #BDDBFE;
	vertical-align: middle;
	margin-right: 1rem !important;
	cursor: pointer;
}

.wpcf7 input[type=checkbox]:after {
	left: 9px;
	top: 5px;
	width: 5px;
	height: 10px;
	border: solid #BDDBFE;
	border-width: 0 3px 3px 0;
	-webkit-transform: rotate(45deg);
	-ms-transform: rotate(45deg);
	transform: rotate(45deg);
}
.wpcf7 input[type=checkbox]:checked {
	background-color: #222;
}

/******************************/
.wpcf7 .wpcf7-file {
  background-color: #efefef;
  color: #2c2a27;
  padding: 0;
  width: 100%;
  font-size: clamp(0.875rem, 1vw, 1.125rem);
  line-height: 22px;
  box-sizing: border-box;
  cursor: pointer;
  border: none;
  border-radius: 0;
  font-family: inherit;
}

.wpcf7 .wpcf7-file::file-selector-button {
  background-color: #007dc4;
  color: #fff;
  border: none;
  padding: 17px 20px;
  cursor: pointer;
  font-size: clamp(0.875rem, 1vw, 1.125rem);
  margin-right: 16px;
  font-family: inherit;
}

.wpcf7 .wpcf7-file::file-selector-button:hover {
  background-color: #444;
}

.wpcf7-response-output {
	border-color: #00aa96 !important;
	padding: 17px 20px !important;
	background-color: #111111;
	color: #fff;
	font-size: clamp(0.875rem, 1vw, 1.125rem);
}

#bag-form {
	display: flex;
	flex-direction: column;
	gap: 15px;
	font-size: clamp(0.875rem, 1vw, 1.125rem) !important;
	color: #fff !important;
	margin-bottom: 15px;
}

#bag-form.bag-form-inline {
	flex-direction: row;
	gap: 0;
}

.bel-me-terug {
	font-size: clamp(0.875rem, 1vw, 1.125rem) !important;
	color: #fff !important;
}